<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/GradientView/XHXGradientView.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_x_h_x_gradient_view_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">XHXGradientView.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_gradient_view_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  XHXGradientView.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  KKLOnlineHD</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by Leovir on 2018/2/25.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//  Copyright © 2018年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#import &lt;QuartzCore/QuartzCore.h&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="_x_h_x_gradient_view_8h.html#a0a71e42f9b914aba3a7fa20600a3d1d1">   10</a></span>&#160;<span class="keyword">typedef</span> <a class="code" href="_x_h_x_gradient_view_8h.html#a0a71e42f9b914aba3a7fa20600a3d1d1">NS_ENUM</a>(NSInteger, XHXGradientDirection) {</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;    XHXGradientDirectionTopToBottom,</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;    XHXGradientDirectionBottomToTop,</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    XHXGradientDirectionLeftToRight,</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    XHXGradientDirectionRightToLeft,</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;};</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="interface_x_h_x_gradient_layer.html">   17</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_gradient_layer.html">XHXGradientLayer</a> : CAGradientLayer</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;- (instancetype)initWithBeginColor:(UIColor *)beginColor</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;                          endColor:(UIColor *)endColor</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;                         direction:(XHXGradientDirection)direction;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="interface_x_h_x_gradient_view.html">   24</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_gradient_view.html">XHXGradientView</a> : UIView</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="interface_x_h_x_gradient_view.html#ac382256c7ef49749893c9f8e490275ee">   26</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) <a class="code" href="interface_x_h_x_gradient_layer.html">XHXGradientLayer</a> * <a class="code" href="interface_x_h_x_gradient_view.html#ac382256c7ef49749893c9f8e490275ee">gradientLayer</a>;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;- (instancetype)initWithBeginColor:(UIColor *)beginColor</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;                          endColor:(UIColor *)endColor</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;                         direction:(XHXGradientDirection)direction;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ainterface_x_h_x_gradient_view_html_ac382256c7ef49749893c9f8e490275ee"><div class="ttname"><a href="interface_x_h_x_gradient_view.html#ac382256c7ef49749893c9f8e490275ee">XHXGradientView::gradientLayer</a></div><div class="ttdeci">XHXGradientLayer * gradientLayer</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_gradient_view_8h_source.html#l00026">XHXGradientView.h:26</a></div></div>
<div class="ttc" id="ainterface_x_h_x_gradient_view_html"><div class="ttname"><a href="interface_x_h_x_gradient_view.html">XHXGradientView</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_gradient_view_8h_source.html#l00024">XHXGradientView.h:25</a></div></div>
<div class="ttc" id="ainterface_x_h_x_gradient_layer_html"><div class="ttname"><a href="interface_x_h_x_gradient_layer.html">XHXGradientLayer</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_gradient_view_8h_source.html#l00017">XHXGradientView.h:18</a></div></div>
<div class="ttc" id="a_x_h_x_gradient_view_8h_html_a0a71e42f9b914aba3a7fa20600a3d1d1"><div class="ttname"><a href="_x_h_x_gradient_view_8h.html#a0a71e42f9b914aba3a7fa20600a3d1d1">NS_ENUM</a></div><div class="ttdeci">typedef NS_ENUM(NSInteger, XHXGradientDirection)</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_gradient_view_8h_source.html#l00010">XHXGradientView.h:10</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_d9edb3d50f9c4aa85d753b57c2561c26.html">GradientView</a></li><li class="navelem"><a class="el" href="_x_h_x_gradient_view_8h.html">XHXGradientView.h</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
